Create customer

Create a new customer in IABAKO.

Some considerations:

  • customerType attribute is mandatory.
  • If customerType is individual, then firstName and lastName are mandatory.
  • If customerType is company, then companyName is mandatory.
  • If number is not provided, it will be auto-generated.
  • If externalId is not provided, it will be auto-generated.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

External identifier for the customer

string

Unique customer number. If not provided, it will be auto-generated

string
enum
required

Type of customer (individual or company)

Allowed:
string

Company name

string
enum

Customer gender (if individual)

Allowed:
string

Customer's first name (if individual)

string

Customer's last name (if individual)

string

Customer's email address

string

Customer's legal identification

string

Customer's tax identification

address
object

Billing address for the sale. If not provided, customer's default address will be used

string

Customer's primary phone number

string

Customer's primary phone number

string

Internal comment about the customer (not visible in pdf documents)

tags
array of strings, unique

Tags associated with the customer

tags
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json